%{?nodejs_find_provides_and_requires}

%global packagename success-symbol
%global enable_tests 1

Name:		nodejs-success-symbol
Version:	0.1.0
Release:	1%{?dist}
Summary:	Cross-platform success symbol

License:	MIT
URL:		https://github.com/jonschlinkert/success-symbol
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# The 0.1.0 release has not yet been tagged in github, pull from master for now
Source1:	https://raw.githubusercontent.com/jonschlinkert/success-symbol/master/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Cross-platform success symbol.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
